> For the complete documentation index, see [llms.txt](https://docs.verifyme.ng/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifyme.ng/identity-verifications/drivers-license.md).

# Drivers License

{% hint style="info" %}
Please note that when using your test key, Our test persona is **John Doe** and his Drivers License Number is **10000000001.** Hence all matching done with your test keys with details other than that of our Test Persona would simulate a failed identity matching.&#x20;
{% endhint %}

## Verify Drivers License

<mark style="color:green;">`POST`</mark> `https://vapi.verifyme.ng/v1/verifications/identities/drivers_license/:ref`

#### Path Parameters

| Name | Type   | Description            |
| ---- | ------ | ---------------------- |
| ref  | string | Drivers license number |

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Authorization token |

#### Request Body

| Name      | Type   | Description   |
| --------- | ------ | ------------- |
| dob       | string | date of birth |
| firstname | string | first name    |
| lastname  | string | last name     |

{% tabs %}
{% tab title="201 " %}

```
{
  "status": "success",
  "data": {
    "fieldMatches":{
      "firsname":false,
      "lastname":false,
      "dob":false
    },
    "licenseNo": "1000000001",
    "firstname": "John",
    "lastname": "Doe",
    "issuedDate": "09-09-1999",
    "expiryDate": "09-09-2099",
    "stateOfIssue": "LAGOS",
    "gender": "female"
    "birthdate": "04-04-1944",
    "photo": "Base64 Encoded",
  } 
}

```

{% endtab %}

{% tab title="404 " %}

```
{
    "code":"NOT_FOUND_ERROR",
    "message":"licence no provided is not found. Please provide a valid license no"
}
```

{% endtab %}
{% endtabs %}

#### Sample Request

{% tabs %}
{% tab title="Curl" %}

```
curl --location --request POST 'https://vapi.verifyme.ng/v1/verifications/identities/drivers_license/10000000001' \
--header 'Authorization: Bearer <your secret key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "firstname":"John",
    "lastname":"Doe",
    "phone":"080000000000",
    "dob":"04-04-1944"
}'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verifyme.ng/identity-verifications/drivers-license.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
